# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from enum import Enum

class AlertSeverity(str, Enum):
    """Severity Level of Alert
    """

    zero = "0"
    one = "1"
    two = "2"
    three = "3"
    four = "4"

class ConditionalOperator(str, Enum):
    """Result Condition Evaluation criteria. Supported Values - 'GreaterThan' or 'LessThan' or
    'Equal'.
    """

    greater_than = "GreaterThan"
    less_than = "LessThan"
    equal = "Equal"

class Enabled(str, Enum):
    """The flag which indicates whether the Log Search rule is enabled. Value should be true or false
    """

    true = "true"
    false = "false"

class MetricTriggerType(str, Enum):
    """Metric Trigger Evaluation Type
    """

    consecutive = "Consecutive"
    total = "Total"

class ProvisioningState(str, Enum):
    """Provisioning state of the scheduled query rule
    """

    succeeded = "Succeeded"
    deploying = "Deploying"
    canceled = "Canceled"
    failed = "Failed"
